USE teachcloud_db;

INSERT INTO `sys_role_privilege` VALUES (506, 10, 576, 1);
INSERT INTO `sys_role_privilege` VALUES (507, 10, 833, 1);
INSERT INTO `sys_role_privilege` VALUES (508, 10, 834, 1);
INSERT INTO `sys_role_privilege` VALUES (509, 10, 835, 1);
INSERT INTO `sys_role_privilege` VALUES (510, 10, 836, 1);
INSERT INTO `sys_role_privilege` VALUES (511, 10, 837, 1);
INSERT INTO `sys_role_privilege` VALUES (512, 10, 838, 1);
INSERT INTO `sys_role_privilege` VALUES (513, 10, 839, 1);
INSERT INTO `sys_role_privilege` VALUES (514, 10, 840, 1);
INSERT INTO `sys_role_privilege` VALUES (515, 10, 841, 1);
INSERT INTO `sys_role_privilege` VALUES (516, 10, 842, 1);
INSERT INTO `sys_role_privilege` VALUES (517, 10, 650, 1);
INSERT INTO `sys_role_privilege` VALUES (518, 10, 843, 1);
INSERT INTO `sys_role_privilege` VALUES (519, 10, 844, 1);
INSERT INTO `sys_role_privilege` VALUES (520, 10, 77, 1);
INSERT INTO `sys_role_privilege` VALUES (521, 10, 845, 1);
INSERT INTO `sys_role_privilege` VALUES (522, 10, 846, 1);
INSERT INTO `sys_role_privilege` VALUES (523, 10, 847, 1);
INSERT INTO `sys_role_privilege` VALUES (524, 10, 848, 1);
INSERT INTO `sys_role_privilege` VALUES (525, 10, 849, 1);
INSERT INTO `sys_role_privilege` VALUES (526, 10, 850, 1);
INSERT INTO `sys_role_privilege` VALUES (527, 10, 851, 1);
INSERT INTO `sys_role_privilege` VALUES (528, 10, 852, 1);
INSERT INTO `sys_role_privilege` VALUES (529, 10, 853, 1);
INSERT INTO `sys_role_privilege` VALUES (530, 10, 866, 1);
INSERT INTO `sys_role_privilege` VALUES (531, 10, 830, 1);
INSERT INTO `sys_role_privilege` VALUES (532, 10, 831, 1);
INSERT INTO `sys_role_privilege` VALUES (533, 10, 575, 1);
INSERT INTO `sys_role_privilege` VALUES (534, 9, 867, 1);
INSERT INTO `sys_role_privilege` VALUES (535, 10, 832, 1);
INSERT INTO `sys_role_privilege` VALUES (536, 9, 868, 1);

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('867', '下载', 'Download', 'LINK', '624', '9', 'AUTH', '868', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('868', '下载', '/api/admin/exam/card/download_card', 'URL', '624', '6', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('869', '试卷题卡预览日志记录接口', '/api/admin/basic/operation_log/save_preview_log', 'URL', '149', '14', 'SYS', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('870', '结束', 'Finish', 'LINK', '43', '4', 'AUTH', '871', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('871', '结束', '/api/admin/exam/print/plan_finish', 'URL', '43', '7', 'AUTH', '1', '1', '1');

UPDATE `sys_privilege` SET `enable` = '0', `front_display` = '0' WHERE (`id` = '306');

update exam_detail ed set ed.backup_count = (select backup_count from exam_print_plan epp where ed.print_plan_id = epp.id) where ed.id > 0;

UPDATE `sys_privilege` SET `name` = '撤回提交' WHERE (`id` = '335');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('872', '批量撤回', 'BatchEnd', 'BUTTON', '47', '3', 'AUTH', '873', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('873', '批量撤回', '/api/admin/exam/print/task_batch_cancel', 'URL', '47', '4', 'AUTH', '1', '1', '1');

UPDATE `sys_privilege` SET `related` = '395,435,557,665,792,793' WHERE (`id` = '394');
UPDATE `sys_privilege` SET `related` = '395,435,557,665,792,793' WHERE (`id` = '397');

update exam_card t set t.card_rule_id = (select bpc.card_rule_id from basic_print_config bpc join exam_task et on bpc.school_id = et.school_id and bpc.exam_id = et.exam_id
                                                                                             join exam_task_detail etd on et.id = etd.exam_task_id
                                         where FIND_IN_SET(t.id, REPLACE(REPLACE(substring_index(substring_index(CONVERT((etd.paper_attachment_ids ->>'$[*].cardId') USING utf8), ']', 1), '[',-1),' "','"'),'"','')) )
where t.type = 'CUSTOM' and t.card_rule_id is null and t.id > 0;

insert into exam_detail_course_paper_type select id + cast(FLOOR(RAND()*10000000000000) as signed), id, paper_type from exam_detail_course where paper_type is not null and id>0;